.CodeMirror{line-height:1em;font-family:monospace;border:1px solid #eee;}
.CodeMirror-scroll{overflow:auto;height:500px;position:relative;outline:none;}
.CodeMirror-gutter{position:absolute;left:0;top:0;z-index:10;background-color:#f7f7f7;border-right:1px solid #eee;min-width:2em;height:100%;}
.CodeMirror-gutter-text{color:#aaa;text-align:right;white-space:pre!important;padding:.4em .2em .4em .4em;}
.CodeMirror-lines{white-space:pre;padding:.4em;}
.CodeMirror pre{-moz-border-radius:0;-webkit-border-radius:0;-o-border-radius:0;border-radius:0;background:transparent;font-family:inherit;font-size:inherit;white-space:pre;word-wrap:normal;border-width:0;margin:0;padding:0;}
.CodeMirror-wrap pre{word-wrap:break-word;white-space:pre-wrap;}
.CodeMirror-wrap .CodeMirror-scroll{overflow-x:hidden;}
.CodeMirror textarea{outline:none!important;}
.CodeMirror pre.CodeMirror-cursor{z-index:10;position:absolute;visibility:hidden;border-left:1px solid #000;border-right:none;width:0;}
.CodeMirror-focused pre.CodeMirror-cursor{visibility:visible;}
div.CodeMirror-selected{background:#d9d9d9;}
.CodeMirror-focused div.CodeMirror-selected{background:#d7d4f0;}
.CodeMirror-searching{background:rgba(255,255,0,.4);}
.cm-s-default span.cm-number{color:#164;}
.cm-s-default span.cm-variable-3{color:#085;}
.cm-s-default span.cm-comment{color:#a50;}
.cm-s-default span.cm-string{color:#a11;}
.cm-s-default span.cm-string-2{color:#f50;}
.cm-s-default span.cm-error{color:red;}
.cm-s-default span.cm-bracket{color:#cc7;}
.cm-s-default span.cm-tag{color:#170;}
.cm-s-default span.cm-header{color:#a0a;}
.cm-s-default span.cm-quote{color:#090;}
.cm-s-default span.cm-hr{color:#999;}
span.cm-header,span.cm-strong{font-weight:700;}
span.cm-em{font-style:italic;}
span.cm-emstrong{font-style:italic;font-weight:700;}
span.cm-link{text-decoration:underline;}
div.CodeMirror span.CodeMirror-matchingbracket{color:#0f0;}
div.CodeMirror span.CodeMirror-nonmatchingbracket{color:#f22;}
.CodeMirror-completions{position:absolute;z-index:10;overflow:hidden;-webkit-box-shadow:2px 3px 5px rgba(0,0,0,.2);-moz-box-shadow:2px 3px 5px rgba(0,0,0,.2);box-shadow:2px 3px 5px rgba(0,0,0,.2);}
.CodeMirror-completions select{background:#fafafa;outline:none;border:none;font-family:monospace;margin:0;padding:0;}
.cm-s-default span.cm-keyword,.CodeMirror-completions option.cm-keyword{color:#708;}
.cm-s-default span.cm-atom,.CodeMirror-completions option.cm-atom{color:#219;}
.cm-s-default span.cm-def,.CodeMirror-completions option.cm-def{color:#00f;}
.cm-s-default span.cm-variable,.cm-s-default span.cm-property,.cm-s-default span.cm-operator,.CodeMirror-completions option.cm-variable{color:#000;}
.cm-s-default span.cm-variable-2,.CodeMirror-completions option.cm-variable-2{color:#05a;}
.cm-s-default span.cm-meta,.cm-s-default span.cm-qualifier{color:#555;}
.cm-s-default span.cm-builtin,.CodeMirror-completions option.cm-builtin{color:#30a;}
.cm-s-default span.cm-attribute,.cm-s-default span.cm-link{color:#00c;}